Bug 607965 - Boot guest with -smp >64 lead to qemu-kvm abort with core dumped
Boot guest with -smp >64 lead to qemu-kvm abort with core dumped
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 06:09 EDT by juzhang
Modified: 2013-01-09 17:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 06:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2010-06-25 06:09:18 EDT
Description of problem:
For now,although RHEL6 host max support 64 CPUs in a KVM guest,boot guest  with -smp >64 lead to qemu-kvm abort with core dumped is not accepted.

Version-Release number of selected component (if applicable):
#rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.77.el6.x86_64


How reproducible:


Steps to Reproduce:
1.Boot rhel6 guest with -smp 70
#/usr/libexec/qemu-kvm -m 8G -smp 70 -drive file=/root/zhangjunyi/rhel6_2.33_641.qcow2,if=none,id=drive-virtio-disk0,boot=on,cache=none,format=qcow2 -device virtio-blk-pci,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=22:11:22:45:61:98 -device virtio-balloon-pci -cpu qemu64,,+sse2 -monitor stdio -vnc :9

(gdb) bt
#0  0x0000003b7b0329c5 in raise () from /lib64/libc.so.6
#1  0x0000003b7b0341a5 in abort () from /lib64/libc.so.6
#2  0x000000000042b294 in kvm_create_vcpu (_env=0x1769c50) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:473
#3  ap_main_loop (_env=0x1769c50) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:1916
#4  0x0000003b7b807761 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003b7b0e14fd in clone () from /lib64/libc.so.6

Actual results:
After step1,emitted "kvm_create_vcpu: Invalid argument,Failed to create vCPU. Check the -smpparameter.Aborted (core dumped)"

Expected results:
At least,can't lead to qemu-kvm abort with core dumped

Additional info:
Comment 2 juzhang 2010-06-25 06:13:37 EDT
# cat /proc/cpuinfo | grep processor
processor : 0
processor : 1
processor : 2
processor : 3
processor : 4
processor : 5
processor : 6
processor : 7
processor : 8
processor : 9
processor : 10
processor : 11
processor : 12
processor : 13
processor : 14
processor : 15
processor : 16
processor : 17
processor : 18
processor : 19
processor : 20
processor : 21
processor : 22
processor : 23
processor : 24
processor : 25
processor : 26
processor : 27
processor : 28
processor : 29
processor : 30
processor : 31
processor : 32
processor : 33
processor : 34
processor : 35
processor : 36
processor : 37
processor : 38
processor : 39
processor : 40
processor : 41
processor : 42
processor : 43
processor : 44
processor : 45
processor : 46
processor : 47
processor : 48
processor : 49
processor : 50
processor : 51
processor : 52
processor : 53
processor : 54
processor : 55
processor : 56
processor : 57
processor : 58
processor : 59
processor : 60
processor : 61
processor : 62
processor : 63
processor : 64
processor : 65
processor : 66
processor : 67
processor : 68
processor : 69
processor : 70
processor : 71
processor : 72
processor : 73
processor : 74
processor : 75
processor : 76
processor : 77
processor : 78
processor : 79
processor : 80
processor : 81
processor : 82
processor : 83
processor : 84
processor : 85
processor : 86
processor : 87
processor : 88
processor : 89
processor : 90
processor : 91
processor : 92
processor : 93
processor : 94
processor : 95

#cat /proc/cpuinfo
Host info:
processor : 95
vendor_id : GenuineIntel
cpu family : 6
model  : 29
model name : Intel(R) Xeon(R) CPU           E7450  @ 2.40GHz
stepping : 1
cpu MHz  : 2398.417
cache size : 12288 KB
physical id : 15
siblings : 6
core id  : 5
cpu cores : 6
apicid  : 125
initial apicid : 125
fpu  : yes
fpu_exception : yes
cpuid level : 11
wp  : yes
flags  : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc
arch_perfmon pebs bts rep_good xtopology aperfmperf pni dtes64 monitor ds_cpl
vmx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 lahf_lm tpr_shadow vnmi
flexpriority
bogomips : 4798.07
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management:
Comment 3 RHEL Product and Program Management 2010-06-25 06:22:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Dor Laor 2010-06-29 06:03:45 EDT
We support up to 64 vcpus.
It would be nice to print a nice error message but it is too low prio to add.
Comment 5 Suqin Huang 2011-08-03 02:33:17 EDT
Hi dor, 
according to https://bugzilla.redhat.com/show_bug.cgi?id=582662#c7

coredump is not acceptable, can I re-open it

Note You need to log in before you can comment on or make changes to this bug.